Subject: [bug#50778] [PATCH] m4: Don't require courage on unsupported systems.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 13 Oct 2021 11:00:16 +0200

Efraim Flashner <[email-masked]> skribis:

> * m4/guix.m4 (GUIX_ASSERT_SUPPORTED_SYSTEM): Don't error if building on
> an unsupported system.
> * doc/guix.texi (GNU Distribution): Relabel mips64el-linux as
> unsupported.
> ---
>
> As we discussed previously with the powerpc-linux patches, I've gotten
> around to changing the m4 error to a warning. Also, I didn't change
> i586-gnu to say unsupported next to it in GNU Distribution in the
> manual, although I suppose the other option would be to add i586-gnu to
> supported in m4/guix.m4.

Yes, I’d rather mark i586-gnu as supported in m4/guix.m4 (it should have
been the case long ago) and keep the error and ‘--with-courage’ flag.

WDYT?

> -@item mips64el-linux (deprecated)
> +@item mips64el-linux (unsupported)

Good idea.  :-)

Thanks!

Ludo’.